# $Revision: 1.6 $, $Date: 2012/07/01 21:29:02 $
Summary:	Model to synchronize multiple instances over DBus
Name:		dee
Version:	1.0.4
Release:	2
# GPLv3-licensed tests and examples are in the tarball, but not installed
License:	LGPL v3
Group:		Libraries
URL:		https://launchpad.net/dee
Source0:	http://launchpad.net/dee/1.0/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	a243ec6f229550b41eb7e3aa48815409
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	vala
Requires:	python-pygobject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libdee is a library that uses DBus to provide objects allowing you to
create Model-View-Controller type programs across DBus. It also
consists of utility objects which extend DBus allowing for
peer-to-peer discoverability of known objects without needing a
central registrar.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package apidocs
Summary:	%{name} API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki %{name}
Group:		Documentation

%description apidocs
API and internal documentation for %{name} library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_gtkdocdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdee*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dee-tool
%{_libdir}/girepository-1.0/*.typelib
%attr(755,root,root) %{_libdir}/libdee-*.so.*.*.*
%ghost %{_libdir}/libdee-*.so.4
%{py_sitedir}/gi/overrides/Dee.py[co]

%files	devel
%defattr(644,root,root,755)
%{_includedir}/dee-1.0
%{_libdir}/libdee*.so
%{_pkgconfigdir}/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/dee-1.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dee.spec,v $
Revision 1.6  2012/07/01 21:29:02  baggins
- fixed install/files

Revision 1.5  2012/07/01 21:25:15  baggins
- rel 2
- use gtkdocdir for apidocs

Revision 1.4  2012/02/23 18:34:06  arvenil
- up to 1.0.4

Revision 1.3  2012/01/22 23:05:38  glen
- md5

Revision 1.2  2012/01/22 22:25:42  glen
- unify

Revision 1.1  2012/01/22 22:21:58  glen
- new; based on fc spec
